> ## Documentation Index
> Fetch the complete documentation index at: https://developers.gonitro.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Envelope by ID

> The **Cancel Envelope by ID** endpoint cancels the signing request for the envelope specified by its UUIDv4 identifier.
This endpoint allows you to cancel an envelope and changes its status to Cancelled but keeps it available for reference and reuse after updates. In Cancelled status, no further signing operations can be done on the envelope.

**Note:** Only envelopes that have been sent for signing can be cancelled. Draft envelopes cannot be cancelled.




## OpenAPI

````yaml https://api.gonitro.dev/openapi.json put /sign/envelopes/{envelopeID}:cancel
openapi: 3.1.0
info:
  title: Nitro Sign Public API
  description: REST API for Nitro Sign
  version: '0.1'
servers:
  - url: https://api.gonitro.dev
security:
  - bearerAuth: []
paths:
  /sign/envelopes/{envelopeID}:cancel:
    put:
      tags:
        - Sign
      summary: Cancel Envelope by ID
      description: >
        The **Cancel Envelope by ID** endpoint cancels the signing request for
        the envelope specified by its UUIDv4 identifier.

        This endpoint allows you to cancel an envelope and changes its status to
        Cancelled but keeps it available for reference and reuse after updates.
        In Cancelled status, no further signing operations can be done on the
        envelope.


        **Note:** Only envelopes that have been sent for signing can be
        cancelled. Draft envelopes cannot be cancelled.
      operationId: cancelEnvelope
      parameters:
        - name: envelopeID
          in: path
          description: >-
            A unique UUIDv4 string that identifies the envelope in the Nitro
            system.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Envelope cancelled successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtendedEnvelope'
        '401':
          description: Unauthorized - Invalid or missing JWT token
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/UnauthorizedProblemDetail'
        '404':
          description: Envelope not found
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/NotFoundProblemDetail'
        '409':
          description: Envelope cannot be modified
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/EnvelopeInInvalidStateProblemDetail'
components:
  schemas:
    ExtendedEnvelope:
      type: object
      properties:
        ID:
          type: string
          format: uuid
          description: >-
            A unique UUIDv4 string that identifies the envelope in the Nitro
            system.
        createdAt:
          type: string
          format: date-time
          description: UTC timestamp indicating when the envelope was created.
        lastModifiedAt:
          type: string
          format: date-time
          description: >-
            UTC timestamp indicating the last time the envelope was updated.
            Matches `createdAt` at the time of creation.
        name:
          type: string
          description: The name of the envelope.
        status:
          type: string
          description: >-
            The internal status of the envelope. Defaults to drafted on
            creation.
          enum:
            - drafted
            - sent
            - processing
            - sealed
            - rejected
            - cancelled
            - deleted
        mode:
          type: string
          description: Signing mode for the envelope.
          enum:
            - sequential
            - parallel
        notification:
          $ref: '#/components/schemas/Notification'
          description: Notification settings for the envelope.
    UnauthorizedProblemDetail:
      type: object
      description: Unauthorized error details
      example:
        type: >-
          https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized
        title: Unauthorized
        status: 401
        detail: Missing or invalid Authorization header
        instance: /sign/envelopes
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    NotFoundProblemDetail:
      type: object
      description: Not Found error details
      example:
        type: https://developers.gonitro.com/docs/build-nitro/errors#404-not-found
        title: Not Found
        status: 404
        detail: Envelope with ID 'envelop-123' not found
        instance: /sign/envelopes/envelop-123
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    EnvelopeInInvalidStateProblemDetail:
      type: object
      description: Envelope in invalid state
      example:
        type: https://developers.gonitro.com/docs/build-nitro/errors#409-conflict
        title: Conflict
        status: 409
        detail: Envelope in invalid state
        instance: /sign/envelopes/%s:send-for-signing
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    Notification:
      type: object
      properties:
        subject:
          type: string
          description: The subject line of the notification email.
          minLength: 1
        body:
          type: string
          description: The body content of the notification email.
          minLength: 1
      required:
        - body
        - subject
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````